Bug 222271 - lang/mono: build with TLS1.2 support as default using BoringSSL
Summary: lang/mono: build with TLS1.2 support as default using BoringSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-12 22:27 UTC by Egil Hasting
Modified: 2019-05-24 01:47 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (mono)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egil Hasting 2017-09-12 22:27:19 UTC
Hello,

Would it be possible to get the default pkg build of mono to contain TLS1.2 support?


Following this link: http://www.codenicer.com/content/mono-481-tls-12-freebsd
is a description on how to patch the ports files. (i am not the author - blog is credited Ivan Radovanovic).


i have manually been patching the files in my ports tree and build them, which works fine - but it feels weird that TLS1.2 is not supported out of the box, and add additional steps for deployment.




Rgs
Egil Hasting
Comment 1 johannesfalke 2018-03-22 21:28:16 UTC
Is there any progress on this? The lack of TLS 1.2 means that basically every .NET-based program interacting with Github no longer works properly.
Comment 2 chris 2018-04-02 22:15:18 UTC
+1 for this - my FreeNAS iocage jails are difficult to autoupdate (mono apps to github). Help!
Comment 3 jacob 2018-04-03 03:25:05 UTC
yes, please progress on this. GitHub is TLS 1.2 only now, which breaks a few apps that require mono.
Comment 4 Daniel Porsch 2018-06-08 17:35:34 UTC
+1! This would be great!
Comment 5 Mark Felder freebsd_committer 2018-06-12 18:44:48 UTC
Please look at my new review for a modern Mono

https://reviews.freebsd.org/D15780


Testing appreciated!
Comment 6 commit-hook freebsd_committer 2018-06-16 15:57:07 UTC
A commit references this bug:

Author: feld
Date: Sat Jun 16 15:56:44 UTC 2018
New revision: 472555
URL: https://svnweb.freebsd.org/changeset/ports/472555

Log:
  Update Mono to 5.10.1.47

  This brings a more modern Mono release to the ports tree. After
  discussions with others in the Mono community I targeted the mono
  5.10.1.47 release which is the latest release in the "Visual Studio"
  release channel. This is considered to be the most stable and widely
  tested, which makes it a good candidate for us. We may upgrade to 5.12
  after additional testing or introduce another Mono package for users who
  require testing against a newer release; this has yet to be determined.

  - Build from official release tarballs
  - Now include BoringSSL per upstream guidelines [1]
  - Remove ACCEPTANCE_TESTS, not being updated by upstream
  - No long require glib; Mono includes their own replacement
  - USES=display:tests required for some tests
  - Remove broken for armv6, armv7: file now available [2]
  - Mark as LLD safe as mono changed how it handles TLS [3]

  Changelog:	http://www.mono-project.com/docs/about-mono/releases/5.10.0/

  PR:		222271 [1]
  PR:		221236 [2]
  PR:		218885 [3]
  PR:		211367
  Approved by:	dbn
  Differential Revision:	https://reviews.freebsd.org/D15780

Changes:
  head/lang/mono/Makefile
  head/lang/mono/distinfo
  head/lang/mono/files/patch-configure.ac
  head/lang/mono/files/patch-eglib_src_gfile-posix.c
_U  head/lang/mono/files/patch-mcs_class_Mono.Security_Mono.Security.Cryptography_KeyPairPersistence.cs
_U  head/lang/mono/files/patch-mcs_class_Mono.Security_Mono.Security.X509_X509StoreManager.cs
_U  head/lang/mono/files/patch-mcs_tools_mono-configuration-crypto_lib_Mono.Configuration.Crypto_KeyContainerCollection.cs
_U  head/lang/mono/files/patch-mcs_tools_xbuild_data_12.0_Microsoft.CSharp.targets
_U  head/lang/mono/files/patch-mcs_tools_xbuild_data_14.0_Microsoft.CSharp.targets
  head/lang/mono/files/patch-mono_eglib_gfile-posix.c
  head/lang/mono/files/patch-mono_mini_Makefile.am.in
  head/lang/mono/files/patch-mono_mini_mini-posix.c
  head/lang/mono/files/patch-mono_mini_tramp-amd64.c
  head/lang/mono/files/patch-mono_profiler_ptestrunner.pl
  head/lang/mono/files/patch-mono_utils_mono-context.h
  head/lang/mono/files/patch-mono_utils_mono-proclib.c
  head/lang/mono/files/patch-mono_utils_mono-threads.c
  head/lang/mono/files/patch-scripts_mono-heapviz
  head/lang/mono/pkg-plist
  head/lang/mono-basic/Makefile
  head/lang/mono-basic/distinfo
  head/lang/mono-basic/files/patch-configure
  head/x11-toolkits/gtk-sharp30/Makefile
  head/x11-toolkits/gtk-sharp30/files/
  head/x11-toolkits/gtk-sharp30/files/patch-gtk_gui-thread-check_profiler_gui-thread-check.c
Comment 7 Conrad Meyer freebsd_committer 2019-05-24 01:47:41 UTC
Hi feld@, can this one be marked closed as fixed by the 5.10 update?  Tentatively marking closed, please reopen if I misunderstood.